//*****************************************************************************
//* A40 Driver PIC32MX575F512H
//* WRITTEN BY FRED EADY
//* NO USB SUPPORT IN THIS VERSION
//* COMPILED USING XC32 v1.40 - MPLABX v3.26
//* LAST UPDATE	04/22/2016
//* NOTES:
//*****************************************************************************
#include <xc.h>
#include <GenericTypeDefs.h>
#include "tdelay.h"
//******************************************************************************
//* UART1 TX String
//******************************************************************************
void sendStrUart1(const char* buffer)
{
    // transmit till NULL character is encountered
 while(*buffer != '\0')
 {
  while(U1STAbits.TRMT == 0);
  U1TXREG = (*buffer++);
 }
}
//******************************************************************************
//* UART2 TX String
//******************************************************************************
void sendStrUart2(const char* buffer)
{
    // transmit till NULL character is encountered
 while(*buffer != '\0')
 {
  while(U2STAbits.TRMT == 0);
  U2TXREG = (*buffer++);
 }
}
//******************************************************************************
//* UART4 TX String
//******************************************************************************
void sendStrUart4(const char* buffer)
{
    // transmit till NULL character is encountered
 while(*buffer != '\0')
 {
  while(U4STAbits.TRMT == 0);
  U4TXREG = (*buffer++);
 }
}
//******************************************************************************
//* UART5 TX String
//******************************************************************************
void sendStrUart5(const char* buffer)
{
    // transmit till NULL character is encountered
 while(*buffer != '\0')
 {
  while(U5STAbits.TRMT == 0);
  U5TXREG = (*buffer++);
 }
}
//******************************************************************************
//* UART1 TX BYTE
//******************************************************************************
void sendBiteUart1(BYTE c)
{
	U1TXREG = c;
	while(U1STAbits.TRMT == 0);
}
//******************************************************************************
//* UART2 TX BYTE
//******************************************************************************
void sendBiteUart2(BYTE c)
{
	U2TXREG = c;
	while(U2STAbits.TRMT == 0);
}
//******************************************************************************
//* UART4 TX BYTE
//******************************************************************************
void sendBiteUart4(BYTE c)
{
	U4TXREG = c;
	while(U4STAbits.TRMT == 0);
}
//******************************************************************************
//* UART5 TX BYTE
//******************************************************************************
void sendBiteUart5(BYTE c)
{
	U5TXREG = c;
	while(U5STAbits.TRMT == 0);
}

